Bug 1011135 - Confusing text displayed to user if he selects to install RTGov server only
Confusing text displayed to user if he selects to install RTGov server only
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:26 EDT by Len DiMaggio
Modified: 2014-02-06 10:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (110.00 KB, image/png)
2013-09-23 12:27 EDT, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2013-09-23 12:26:18 EDT
Description of problem:

The Installer UI simultaneously indicates that both the RTGov client and server, and only the server are bing installed.

See attached screenshot.

Version-Release number of selected component (if applicable):
ER3

How reproducible:
100%

Steps to Reproduce:
1. Select to install the RTGov Server + client
2.
3.

Actual results:
See attached screenshot

Expected results:
The installation option list should include an "RTGov Server" only option

Additional info:
Comment 1 Len DiMaggio 2013-09-23 12:27:39 EDT
Created attachment 801765 [details]
Screenshot
Comment 2 Julian Coleman 2013-09-24 14:42:22 EDT
The RT-Gov client code is required if the RT-Gov server is not co-located with FSW.  We could remove the client option in the installer, and implicitly add and
configure it if the server is not selected.  The installer would only then show an "RT-Gov Server" checkbox.
Comment 3 Thomas Hauser 2013-09-26 09:49:39 EDT
Need confirmation of which action to take, if any.
Comment 7 Thomas Hauser 2013-10-15 13:08:33 EDT
We'll need to address the desire for this separation going on post beta.
Comment 8 Thomas Hauser 2013-10-31 15:52:40 EDT
This text has been removed from the latest iterations of the installer.
Comment 9 Pavol Srna 2013-12-16 04:44:00 EST
Verified in ER7 build.

Note You need to log in before you can comment on or make changes to this bug.